cURL
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"file_name": "file_name",
"file_data": "file_data"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport"
payload = {
"file_name": "file_name",
"file_data": "file_data"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({file_name: 'file_name', file_data: 'file_data'})
};
fetch('https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => 'file_name',
'file_data' => 'file_data'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport"
payload := strings.NewReader("{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}"
response = http.request(request)
puts response.read_body{
"parsed_file_data": {
"deleted_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"closed_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"custom_column_mappings": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"restored_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"parse_file_data_context_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"tradable_view_models": {
"key": {
"error_message": "error_message",
"contract_type": "contract_type",
"identifier": "",
"quantity": 3.616076749251911,
"quantity_round_to_nearest": 2.027123023002322,
"currency": "currency",
"id": 9,
"display_name": "display_name",
"pricing_details_model": {
"error_message": "error_message",
"data": [
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
},
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
}
]
},
"tradable_risk_data": {
"error_message": "error_message",
"unit_risks": [
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
},
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
}
]
},
"market_date": "2000-01-23T04:56:07.000+00:00",
"results": ""
}
},
"amended_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"books_to_be_created": [
{
"name": "name",
"description": "description",
"parent_portfolio_ids": [
7,
7
]
},
{
"name": "name",
"description": "description",
"parent_portfolio_ids": [
7,
7
]
}
]
},
"is_success": true,
"error_messages": [
"error_messages",
"error_messages"
]
}Post apipositionvalidatepositionimport
POST
/
api
/
Position
/
ValidatePositionImport
cURL
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"file_name": "file_name",
"file_data": "file_data"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport"
payload = {
"file_name": "file_name",
"file_data": "file_data"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({file_name: 'file_name', file_data: 'file_data'})
};
fetch('https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => 'file_name',
'file_data' => 'file_data'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport"
payload := strings.NewReader("{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Position/ValidatePositionImport")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"file_name\": \"file_name\",\n \"file_data\": \"file_data\"\n}"
response = http.request(request)
puts response.read_body{
"parsed_file_data": {
"deleted_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"closed_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"custom_column_mappings": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"restored_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"parse_file_data_context_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"tradable_view_models": {
"key": {
"error_message": "error_message",
"contract_type": "contract_type",
"identifier": "",
"quantity": 3.616076749251911,
"quantity_round_to_nearest": 2.027123023002322,
"currency": "currency",
"id": 9,
"display_name": "display_name",
"pricing_details_model": {
"error_message": "error_message",
"data": [
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
},
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
}
]
},
"tradable_risk_data": {
"error_message": "error_message",
"unit_risks": [
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
},
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
}
]
},
"market_date": "2000-01-23T04:56:07.000+00:00",
"results": ""
}
},
"amended_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"books_to_be_created": [
{
"name": "name",
"description": "description",
"parent_portfolio_ids": [
7,
7
]
},
{
"name": "name",
"description": "description",
"parent_portfolio_ids": [
7,
7
]
}
]
},
"is_success": true,
"error_messages": [
"error_messages",
"error_messages"
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Success
Available options:
Derivitec.Core.Mediators.Upload.Positions.PositionUploadValidationResponse, Derivitec.Core.Mediators - Option 1
- Option 2
Show child attributes
Show child attributes
Example:
{
"deleted_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"closed_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"custom_column_mappings": [
{ "value": "value", "key": "key" },
{ "value": "value", "key": "key" }
],
"restored_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"parse_file_data_context_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"tradable_view_models": {
"key": {
"error_message": "error_message",
"contract_type": "contract_type",
"identifier": "",
"quantity": 3.616076749251911,
"quantity_round_to_nearest": 2.027123023002322,
"currency": "currency",
"id": 9,
"display_name": "display_name",
"pricing_details_model": {
"error_message": "error_message",
"data": [
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
},
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
}
]
},
"tradable_risk_data": {
"error_message": "error_message",
"unit_risks": [
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
},
{
"error_message": "error_message",
"format_string": "format_string",
"currency": "currency",
"value": "",
"key": "key",
"scales_by_qty": true
}
]
},
"market_date": "2000-01-23T04:56:07.000+00:00",
"results": ""
}
},
"amended_position_effects": [
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
},
{
"tradable_type": "tradable_type",
"quantity": 2.3021358869347655,
"position_effects_label_values": [
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
},
{
"field": "field",
"position_effect_id": 5,
"value": "value",
"label_id": 5
}
],
"trade_action": "trade_action",
"book_id": 0,
"book_name": "book_name",
"client_transaction_id": "client_transaction_id",
"display_name": "display_name",
"structure": "structure",
"leg": "leg",
"tool_tip": "tool_tip",
"deleted": true,
"upload_tradable_id_to_enfusion": true,
"counterparty": "counterparty",
"is_checked": true,
"contract_size": 6.027456183070403,
"id": 1,
"tradable_identifier": "tradable_identifier"
}
],
"books_to_be_created": [
{
"name": "name",
"description": "description",
"parent_portfolio_ids": [7, 7]
},
{
"name": "name",
"description": "description",
"parent_portfolio_ids": [7, 7]
}
]
}
Was this page helpful?